Class UserSessionsRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\clients{client-uuid}\user-sessions
public class UserSessionsRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderUserSessionsRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
UserSessionsRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new UserSessionsRequestBuilder and sets the default values.
public UserSessionsRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
UserSessionsRequestBuilder(string, IRequestAdapter)
Instantiates a new UserSessionsRequestBuilder and sets the default values.
public UserSessionsRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
GetAsync(Action<RequestConfiguration<UserSessionsRequestBuilderGetQueryParameters>>?, CancellationToken)
Get user sessions for client Returns a list of user sessions associated with this client
public Task<List<UserSessionRepresentation>?> GetAsync(Action<RequestConfiguration<UserSessionsRequestBuilder.UserSessionsRequestBuilderGetQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<UserSessionsRequestBuilder.UserSessionsRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<UserSessionRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.UserSessionRepresentation>
ToGetRequestInformation(Action<RequestConfiguration<UserSessionsRequestBuilderGetQueryParameters>>?)
Get user sessions for client Returns a list of user sessions associated with this client
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<UserSessionsRequestBuilder.UserSessionsRequestBuilderGetQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<UserSessionsRequestBuilder.UserSessionsRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public UserSessionsRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.